/**
 * PAGE ELEMENT STYLES
 * Plugin: Elementor Page Elements
 *
 * Date: 10-10-2019
 * Author: Gerald Sailer, M'CAPS
 */

@media screen and (max-width: 768px) {
   body {
      overflow-x: hidden;
   }
   html {
      overflow-x: hidden;
   }
}

 /**
  * Headline Spacing on general page content
  * like agb, impressum, datenschutz
  */
.generic-content p + h2,
.generic-content ul + h2,
.generic-content p + h3,
.generic-content ul + h3,
.generic-content p + h4,
.generic-content ul + h4 {
  margin-top: 1em !important;
}
.generic-content h2,
.generic-content h3,
.generic-content h4 {
  margin-top: 1em;
}


/**
 * HEADER
 * Sticky header styling
 * js: custom.js:
 */
.elementor-element-375d87d8 {
  box-shadow: 0px 10px 20px 0px rgba(0,0,0,0) !important;
  background-color: rgba(255,255,255,0) !important;
  z-index: 999 !important;
}
.elementor-element-375d87d8.sticky {
  box-shadow: 0px 10px 20px 0px rgba(0,0,0,0.1) !important;
  background-color: rgba(255,255,255,1) !important;
}


/**
 * Invert Footer Logo color
 */
.svg-footer {
   /* filter: brightness(0) invert(1); */
}

/**
 * Style GA-Opt-Out in Datenschutz
 */
.ga-opt-out {
  font-family: "Oswald", Sans-serif;
}
.ga-opt-out a {
  color: #232160 !important;
}


/**
 * Style SVG orientation for Map
 */
.svg-map {
   -webkit-transform: rotate(-90deg);
   -webkit-transform-origin: left bottom;
   -moz-transform: rotate(-90deg);
   -moz-transform-origin: left bottom;
   -ms-transform: rotate(-90deg);
   -ms-transform-origin: left bottom;
   -o-transform: rotate(-90deg);
   -o-transform-origin: left bottom;
   transform: rotate(-90deg);
   transform-origin: left bottom;
}


/**
 * Style footer navigation
 */
a.footer-nav {
   font-family: "Oswald", Sans-serif;
   color: #fff;
   transition: color 0.25s ease-in-out;
}
a.footer-nav:not(:first-child) {
   margin-left: 15px;
}
a.footer-nav:hover {
   color: #7a79a1;
}

/* force elementor-element to center footer navigation*/
@media screen and (max-width: 768px) {
   .elementor-10 .elementor-element.elementor-element-b55a9f4 > .elementor-element-populated {
      text-align: center !important;
   }
}



/**
 * Random Background Color
 */

/* main colors */
.rc-lila { background-color: #202062 !important; }
.rc-schwarz { background-color: #000000 !important; }
/* secondary colors */
.rc-gruen { background-color: #9BB882 !important; }
.rc-tuerkis { background-color: #008BA3 !important; }
.rc-gold { background-color: #E0B45D !important; }
.rc-blau-80p { background-color: #403c79 !important; }

/* twitter icon colors */
.rc-twitter-gruen { color: #9BB882 !important; }
.rc-twitter-tuerkis { color: #008BA3 !important; }
.rc-twitter-gold { color: #E0B45D !important; }
.rc-twitter-blau-80p { color: #403c79 !important; }
